CVE-2013-2944
SUSE Linux Enterprise Desktop 11 SP2,SUSE Linux Enterprise Desktop 11 SP3,SUSE Linux Enterprise Server 10 SP4 for AMD64 and Intel EM64T,SUSE Linux Enterprise Server 10 SP4 for IBM POWER,SUSE Linux Enterprise Server 10 SP4 for IBM zSeries 64bit,SUSE Linux Enterprise Server 10 SP4 for IPF,SUSE Linux Enterprise Server 10 SP4 for x86,SUSE Linux Enterprise Server 11 SP2,SUSE Linux Enterprise Server 11 SP2 for VMware,SUSE Linux Enterprise Server 11 SP3,SUSE Linux Enterprise Server 11 SP3 for VMware
CVE-2013-2944, security advisory, novell, suse linux, suse, security, cve

CVE-2013-2944

Common Vulnerabilities and Exposures

[Previous] [Index] [Next]

Upstream information

CVE-2013-2944 at MITRE

Description

strongSwan 4.3.5 through 5.0.3, when using the OpenSSL plugin for ECDSA signature verification, allows remote attackers to authenticate as other users via an invalid signature.

SUSE information

CVSS v2 Scores
  National Vulnerability Database SUSE
Base Score 4.93 4.93
Vector AV:N/AC:M/Au:S/C:P/I:P/A:N AV:N/AC:M/Au:S/C:P/I:P/A:N
Access Vector Network Network
Access Complexity Medium Medium
Authentication Single Single
Confidentiality Impact Partial Partial
Integrity Impact Partial Partial
Availability Impact None None
SUSE Bugzilla entry: 815236 [RESOLVED / FIXED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise Desktop 11 SP2
  • strongswan >= 4.4.0-6.17.2
  • strongswan-doc >= 4.4.0-6.17.2
Patchnames:
sledsp2-strongswan
SUSE Linux Enterprise Desktop 11 SP3
  • strongswan >= 4.4.0-6.17.5
  • strongswan-doc >= 4.4.0-6.17.5
Patchnames:
sledsp3-strongswan
SUSE Linux Enterprise Server 11 SP2
  • strongswan >= 4.4.0-6.17.2
  • strongswan-doc >= 4.4.0-6.17.2
Patchnames:
slessp2-strongswan
SUSE Linux Enterprise Server 11 SP3
  • strongswan >= 4.4.0-6.17.5
  • strongswan-doc >= 4.4.0-6.17.5
Patchnames:
slessp3-strongswan
SUSE Linux Enterprise Server for VMWare 11 SP2
  • strongswan >= 4.4.0-6.17.2
  • strongswan-doc >= 4.4.0-6.17.2
Patchnames:
slessp2-strongswan
SUSE Linux Enterprise Server for VMWare 11 SP3
  • strongswan >= 4.4.0-6.17.5
  • strongswan-doc >= 4.4.0-6.17.5
Patchnames:
slessp3-strongswan
SUSE Linux Enterprise Server 10 SP4 for AMD64 and Intel EM64T
SUSE Linux Enterprise Server 10 SP4 for IBM POWER
SUSE Linux Enterprise Server 10 SP4 for IBM zSeries 64bit
SUSE Linux Enterprise Server 10 SP4 for IPF
SUSE Linux Enterprise Server 10 SP4 for x86
  • strongswan >= 4.4.0-6.13.2
  • strongswan-doc >= 4.4.0-6.13.2
Builds
ZYPP Patch Nr: 8546
SUSE Linux Enterprise Desktop 11 SP3
SUSE Linux Enterprise Server 11 SP3
SUSE Linux Enterprise Server 11 SP3 for VMware
  • strongswan >= 4.4.0-6.17.5
  • strongswan-doc >= 4.4.0-6.17.5
Builds
SAT Patch Nr: 8021
SUSE Linux Enterprise Desktop 11 SP2
SUSE Linux Enterprise Server 11 SP2
SUSE Linux Enterprise Server 11 SP2 for VMware
  • strongswan >= 4.4.0-6.17.2
  • strongswan-doc >= 4.4.0-6.17.2
Builds
SAT Patch Nr: 7638
openSUSE 12.3
  • strongswan >= 5.0.1-4.4.1
  • strongswan-debugsource >= 5.0.1-4.4.1
  • strongswan-doc >= 5.0.1-4.4.1
  • strongswan-ipsec >= 5.0.1-4.4.1
  • strongswan-ipsec-debuginfo >= 5.0.1-4.4.1
  • strongswan-libs0 >= 5.0.1-4.4.1
  • strongswan-libs0-debuginfo >= 5.0.1-4.4.1
  • strongswan-mysql >= 5.0.1-4.4.1
  • strongswan-mysql-debuginfo >= 5.0.1-4.4.1
  • strongswan-nm >= 5.0.1-4.4.1
  • strongswan-nm-debuginfo >= 5.0.1-4.4.1
  • strongswan-sqlite >= 5.0.1-4.4.1
  • strongswan-sqlite-debuginfo >= 5.0.1-4.4.1
Patchnames:
openSUSE-2013-412
openSUSE Evergreen 11.4
  • strongswan >= 4.5.0-6.52.1
  • strongswan-debugsource >= 4.5.0-6.52.1
  • strongswan-doc >= 4.5.0-6.52.1
  • strongswan-ikev1 >= 4.5.0-6.52.1
  • strongswan-ikev1-debuginfo >= 4.5.0-6.52.1
  • strongswan-ikev2 >= 4.5.0-6.52.1
  • strongswan-ikev2-debuginfo >= 4.5.0-6.52.1
  • strongswan-ipsec >= 4.5.0-6.52.1
  • strongswan-ipsec-debuginfo >= 4.5.0-6.52.1
  • strongswan-libs0 >= 4.5.0-6.52.1
  • strongswan-libs0-debuginfo >= 4.5.0-6.52.1
  • strongswan-mysql >= 4.5.0-6.52.1
  • strongswan-mysql-debuginfo >= 4.5.0-6.52.1
  • strongswan-nm >= 4.5.0-6.52.1
  • strongswan-nm-debuginfo >= 4.5.0-6.52.1
  • strongswan-sqlite >= 4.5.0-6.52.1
  • strongswan-sqlite-debuginfo >= 4.5.0-6.52.1
Patchnames:
2013-77